Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229124 - vorbis-tools FLAC support broken
Summary: vorbis-tools FLAC support broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vorbis-tools
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-17 17:03 UTC by Michel Alexandre Salim
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 1.1.1.svn20070412-1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 13:57:01 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2007-02-17 17:03:43 UTC
Description of problem:
vorbis-tools in Rawhide is not compiled against libFLAC; the resulting ogg123
cannot play back FLAC files. According to rpm --changelog it's intentionally
linked against libogg instead, but it does not seem to do the trick (ldd-ing
libogg shows that it does not link to libFLAC)

Version-Release number of selected component (if applicable):
1.1.1-5.fc7

How reproducible:
Always

Steps to Reproduce:
1. ogg123 somefile.flac
  
Actual results:
Audio Device:   Advanced Linux Sound Architecture (ALSA) output

Error opening somefile.flac using the oggvorbis module.  The file may be corrupted.


Expected results:
File should play normally

Additional info:
The file played has been verified using flac -t

Comment 1 Bastien Nocera 2007-02-19 11:51:11 UTC
Karsten, why the change?

* Wed Feb 14 2007 Karsten Hopp <karsten@redhat.com> 1.1.1-5
- rebuild with libFLAC.so.8, link with libogg instead of libOggFLAC


Comment 2 Karsten Hopp 2007-02-19 15:18:32 UTC
hmm, this shouldn't have dropped FLAC support, sorry about that.
What I was trying to solve was that vorbis-tools required libOggFLAC.so.3
which we don't have anymore with flac-1.1.4

What I did was that I've added a buildrequirement on libogg-devel which was 
not necessary as the requirement on libvorbis-devel already pulls in libogg-devel.

So the actual problem is that the current vorbis-tools doesn't link with
libflac, but that's unrelated to my 'fix'

Comment 3 Bastien Nocera 2007-02-21 14:48:02 UTC
The current vorbis-tools upstream tarball doesn't have any FLAC 1.1.3 or 1.1.4
support. Hopefully, Conrad Parker should do a release soon.

Comment 4 Jonathan Corbet 2007-03-01 00:13:23 UTC
FWIW, I've noticed this too.  FLAC support used to work, but no longer, and I
miss it.  Looking forward to that release.

Comment 5 Bastien Nocera 2007-04-12 13:57:01 UTC
Fixed in rawhide with 1.1.1.svn20070412-1.fc7

$ rpm -qp --requires vorbis-tools-1.1.1.svn20070412-1.fc7.x86_64.rpm | grep -i flac
libFLAC.so.8()(64bit)  

Please file new bugs if there's any problems with this version.


Note You need to log in before you can comment on or make changes to this bug.